package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.dynamodb.domain.atrrib.LandAuctionRecordAttrib;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class LandAuctionRecordDoc extends DynamoDBDocBase {
    private LandAuctionRecordAttrib landAuctionRecordAttrib;

    public String getAttribFieldName() {
        return "LandAuctionActivityAttrib";
    }

    @DynamoDbAttribute("LandAuctionRecordAttrib")
    public LandAuctionRecordAttrib getAttribValue() {
        return landAuctionRecordAttrib;
    }

    public void setAttribValue(LandAuctionRecordAttrib value) {
        this.landAuctionRecordAttrib = value;
    }
}

